<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Dokumente\DokumenteUpload;

class DokumenteUploadFormularPresenter extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Dokumente\DokumenteUpload\DokumenteUploadFormularPresenter
{
  protected function getView()
  {
    return new DokumenteUploadFormularView($this->getViewModel());
  }

  protected function getNewViewModel(): \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Dokumente\DokumenteUpload\DokumenteUploadFormularViewModel
  {
    return new DokumenteUploadFormularViewModel();
  }

  protected function getViewModel()
  {
    $result = parent::getViewModel();
    $result->belegId = $this->useCaseResponse->belegId;

    return $result;
  }
}